Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.http.HttpMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class HttpMuleMessageFactory

extends AbstractMuleMessageFactory

Field Summary

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`HttpMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addAttachments(DefaultMuleMessage message, Object transportMessage)`
`protected void` | `addProperties(DefaultMuleMessage message, Object transportMessage)`
`protected void` | `addUriParamsAsHeaders(Map headers, String uri)`
`protected void` | `convertMultiPartHeaders(Map headers)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Object` | `extractPayloadFromHttpMethod(HttpMethod httpMethod)`
`protected Object` | `extractPayloadFromHttpRequest(HttpRequest httpRequest)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`
`protected Map<String,Object>` | `processIncomingHeaders(Map<String,Object> headers, String uri, Header cookieHeader)`
`void` | `setCookieSpec(String cookieSpec)`
`void` | `setEnableCookies(boolean enableCookies)`
`void` | `setExchangePattern(MessageExchangePattern mep)`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMuleMessageFactory

    public HttpMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### extractPayloadFromHttpRequest

    protected Object extractPayloadFromHttpRequest(HttpRequest httpRequest)
                                            throws IOException

  Throws:
    `IOException`

### addAttachments

    protected void addAttachments(DefaultMuleMessage message,
                                  Object transportMessage)
                           throws Exception

  Overrides:
    `addAttachments` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### extractPayloadFromHttpMethod

    protected Object extractPayloadFromHttpMethod(HttpMethod httpMethod)
                                           throws IOException

  Throws:
    `IOException`

### addProperties

    protected void addProperties(DefaultMuleMessage message,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### processIncomingHeaders

    protected Map<String,Object> processIncomingHeaders(Map<String,Object> headers,
                                                        String uri,
                                                        Header cookieHeader)
                                                 throws Exception

  Throws:
    `Exception`

### addUriParamsAsHeaders

    protected void addUriParamsAsHeaders(Map headers,
                                         String uri)

### convertMultiPartHeaders

    protected void convertMultiPartHeaders(Map headers)

### setEnableCookies

    public void setEnableCookies(boolean enableCookies)

### setCookieSpec

    public void setCookieSpec(String cookieSpec)

### setExchangePattern

    public void setExchangePattern(MessageExchangePattern mep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.